Subject: patch for manpage of fvwm

From: Julien Cervelle <[email-masked]>
Date: Wed, 01 Jun 2005 18:55:24 +0200

Hi everybody.

In fvwm manpage, someplaces, the word condition in written contition. 
Joined a patch for file fvwm.1.in which corrects this typo.

J.
--- fvwm-2.5.12/fvwm/fvwm.1.in	2005-06-01 18:46:34.652243520 +0200
+++ fvwm-2.5.12-new/fvwm/fvwm.1.in	2005-06-01 18:46:59.133521800 +0200
@@ -10055,7 +10055,7 @@
 .I command
 on all windows meeting the conditions.  It returns 1 if any window
 matches the condition and 0 otherwise.
-.RB "See " Conditions " section below for a list of contitions."
+.RB "See " Conditions " section below for a list of conditions."
 
 This command implies the conditions
 .IR CirculateHit ", " CirculateHitIcon " and " CirculateHitShaded .
@@ -10070,7 +10070,7 @@
 if any window which satisfies all
 .I conditions
 exists.  The command is run in the context of the root window.
-.RB "See " Conditions " section below for a list of contitions."
+.RB "See " Conditions " section below for a list of conditions."
 
 .TP
 .BI "Break [levels]"
@@ -10098,7 +10098,7 @@
 .I command
 on the currently focused window if it satisfies all
 .IR conditions .
-.RB "See " Conditions " section below for a list of contitions."
+.RB "See " Conditions " section below for a list of conditions."
 
 This command implies the conditions
 .IR CirculateHit ", " CirculateHitIcon " and " CirculateHitShaded .
@@ -10134,7 +10134,7 @@
 .I Center
 direction simply selects the window closest to the starting point.
 Returns -1 if an invalid direction was given.
-.RB "See " Conditions " section below for a list of contitions."
+.RB "See " Conditions " section below for a list of conditions."
 
 .TP
 .BI "KeepRc " command
@@ -10159,7 +10159,7 @@
 If the command is running in a window context, it starts looking
 for a matching window from there.  Otherwise it starts at the
 focused window.
-.RB "See " Conditions " section below for a list of contitions."
+.RB "See " Conditions " section below for a list of conditions."
 
 .TP
 .BI "None [(" conditions ")] " command
@@ -10169,7 +10169,7 @@
 .I conditions
 exists.  The command is run in the context of the root window.
 Returns 1 if no window matches the conditions and 0 otherwise.
-.RB "See " Conditions " section below for a list of contitions."
+.RB "See " Conditions " section below for a list of conditions."
 
 This command implies the conditions
 .IR CirculateHit ", " CirculateHitIcon " and " CirculateHitShaded .
@@ -10200,7 +10200,7 @@
 if the given
 .I conditions
 are met.  Returns -1 if no window was selected.
-.RB "See " Conditions " section below for a list of contitions."
+.RB "See " Conditions " section below for a list of conditions."
 
 This command implies the conditions
 .IR CirculateHit ", " CirculateHitIcon " and " CirculateHitShaded .
@@ -10215,7 +10215,7 @@
 if the window under the pointer satisfies all
 .IR conditions .
 Returns -1 if there is no window under the pointer.
-.RB "See " Conditions " section below for a list of contitions."
+.RB "See " Conditions " section below for a list of conditions."
 
 This command implies the conditions
 .IR CirculateHit ", " CirculateHitIcon " and " CirculateHitShaded .
@@ -10234,7 +10234,7 @@
 If the command is running in a window context, it starts looking
 for a matching window from there.  Otherwise it starts at the
 focused window.
-.RB "See " Conditions " section below for a list of contitions."
+.RB "See " Conditions " section below for a list of conditions."
 
 .TP
 .B "ScanForWindow \
@@ -10276,7 +10276,7 @@
 focus reaches a limit along the primary axis, it will wrap around
 to the opposite side.  Returns -1 if an invalid direction was
 given.
-.RB "See " Conditions " section below for a list of contitions."
+.RB "See " Conditions " section below for a list of conditions."
 
 .TP
 .BI "Test [(" test-conditions ")] " command
@@ -10406,7 +10406,7 @@
 is never interactive.  The command is executed only if the given
 .I conditions
 are met.  It returns -1 if used outside a window context.
-.RB "See " Conditions " section below for a list of contitions."
+.RB "See " Conditions " section below for a list of conditions."
 
 This command implies the conditions
 .IR CirculateHit ", " CirculateHitIcon " and " CirculateHitShaded .
@@ -10438,7 +10438,7 @@
 .B WarpToWindow
 command.
 Returns -1 if no window with the given id exists.
-.RB "See " Conditions " section below for a list of contitions."
+.RB "See " Conditions " section below for a list of conditions."
 
 This command implies the conditions
 .IR CirculateHit ", " CirculateHitIcon " and " CirculateHitShaded .
@@ -10616,7 +10616,7 @@
 
 The
 .I CurrentDesk
-contition matches only windows that are on the current desk.
+condition matches only windows that are on the current desk.
 
 The
 .I CurrentGlobalPage

---

From: Dan Espen <[email-masked]>
Date: Thu, 02 Jun 2005 17:06:34 -0400

> In fvwm manpage, someplaces, the word condition in written contition. 

Fixed in CVS.

Thanks.

-- 
Dan Espen                           E-mail: [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]